## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          libdeflate
Version:       1.19
Release:       %autorelease
Summary:       Fast implementation of DEFLATE, gzip, and zlib

# SPDX
License:       MIT
URL:           https://github.com/ebiggers/libdeflate
Source:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: cmake

# For tests
BuildRequires: zlib-devel

%description
libdeflate is a library for fast, whole-buffer DEFLATE-based compression and
decompression, supporting DEFLATE, gzip, and zlib.

%package devel
Summary:       Development files for libdeflate
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for libdeflate.

%package utils
Summary:       Binaries from libdeflate
Requires:      %{name}%{?_isa} = %{version}-%{release}

%description utils
Binaries from libdeflate.

%prep
%autosetup

%build
%cmake \
    -DLIBDEFLATE_BUILD_STATIC_LIB:BOOL=OFF \
    -DLIBDEFLATE_BUILD_SHARED_LIB:BOOL=ON \
    -DLIBDEFLATE_COMPRESSION_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_DECOMPRESSION_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_ZLIB_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_GZIP_SUPPORT:BOOL=ON \
    -DLIBDEFLATE_FREESTANDING:BOOL=OFF \
    -DLIBDEFLATE_BUILD_GZIP:BOOL=ON \
    -DLIBDEFLATE_BUILD_TESTS:BOOL=ON \
    -DLIBDEFLATE_USE_SHARED_LIBS:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc NEWS.md README.md
%license COPYING
%{_libdir}/libdeflate.so.0

%check
%ctest

%files devel
%{_includedir}/libdeflate.h
%{_libdir}/libdeflate.so
%{_libdir}/pkgconfig/libdeflate.pc
%{_libdir}/cmake/libdeflate/

%files utils
%{_bindir}/libdeflate-gzip
%{_bindir}/libdeflate-gunzip

%changelog
* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.19-1
- Update to 1.19 (close RHBZ#2160949)

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.18-1
- Update to 1.18

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.17-1
- Update to 1.17

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.16-1
- Update to 1.16

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.15-1
- Update to 1.15 (close RHBZ#2154661)

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.14-1
- Update to 1.14

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.13-1
- Update to 1.13

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.12-1
- Update to 1.12

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.11-1
- Update to 1.11

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.10-1
- Update to 1.10

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-13
- Build and run the tests
- For now, don’t enable running tests under Valgrind or sanitizers

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-12
- Improve makefile invocation a bit

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-11
- Improve Source URL and archive name

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-10
- Don’t unnecessarily glob under the pkgconfig directory

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-7
- Confirm License is SPDX MIT

* Thu Nov 16 2023 Florian Weimer <fweimer@redhat.com> - 1.9-6
- Fix C99 compatibility issue

* Thu Nov 16 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 1.9-5
- Revert "no debug packages on epel8-next"

* Thu Jan 13 2022 Nick Black <dankamongmen@gmail.com> - 1.9-3
- RPMAUTOSPEC: unresolvable merge
